
/* General */
body {
    background-color: white;
    margin: 0;
    font-size: 10pt;
    color: #808080;
}

a {
    text-decoration: none;
    transition: color 0.3s ease-out;
}

a:link,
a:visited,
a:active {
    color: #646464;
}

a:hover {
    color: #d5d5d5;
}

form {
    margin: 0;
    padding: 0;
}

button {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    font-weight: bold;
    border: 1px solid #808080;
    color: #808080;
    background-color: #eeeeee;
}

h3 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 15pt;
    font-weight: bold;
    color: #8c8c8c;
    padding: 60px 0 50px 20px;
    margin: 0;
}

h5 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    color: #808080;
    font-weight: bold;
}

label {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    font-weight: bold;
    color: #808080;
}

hr.partial {
    width: 50%;
}

form .discreet {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 9pt;
    font-weight: bold;
    color: #808080;
}

body.container {
    margin: 0 0 0 0;
    padding: 0 0 0 0;
}

body.container.dbeditor {
    padding: 2px 2px 2px 2px;
}

td.inFocus,
th.inFocus {
    background-color: #dfddff;
}

tr.inFocus {
    background-color: #f0f3ff;
}

td.selected,
th.selected {
    background-color: #fff1e6;
}

table.notice {
    margin-left: auto;
    margin-right: auto;
}

.leadIn {
    float: left;
}

.leadOut {
    float: right;
}

.solo {
    clear: both;
}

.flowing {
    vertical-align: middle;
}

.commoncolor {
    color: #888888;
}

.success {
    color: green;
}

.warning {
    color: red;
}

.notice {
    text-align: center;
}

.pagetext {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    font-weight: bold;
}

.footnote {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10pt;
    color: #b0b0b0;
    font-style: italic;
}

.lesser {
    font-size: 0.8em;
}

.quote {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 11pt;
    font-style: italic;
    font-weight: bold;
    color: #bbbbbb;
}

#jamesheader a,
#jamesheader span {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 9pt;
    font-weight: bold;
    color: #646464;
}

#jamesheader a {
    background-color: #e5e5e5;
}

#jamesheader a:hover {
    color: #e5e5e5;
    background-color: #646464;
}

#jamesheader {
    text-align: right;
    padding: 5px 5px 0 0;
    margin: 0;
}

#logoutform {
    display: none;
}

.loggedin #loginbutton {
    display: none;
}

.loggedin #logoutform {
    display: block;
}

#jamesfooter {
    clear: both;
    text-align: center;
    border-top-style: dashed;
    border-top-color: #dddddd;
    border-top-width: 1px;
    padding-top: 10px;
    margin-top: 300px;
}

#jamesfooter p {
    margin: 0;
    padding: 0;
}

#jamesfooterbrowser {
    float: left;
}

#jamesfooterspecs {
    float: right;
}

#jamesfooter img {
    border: 0;
}

#jamesuparrow {
    position: fixed;
    bottom: 90px;
    left: 90px;
}

#jamescontentspanel {
    width: 200px;
    margin: 0;
    text-align: center;
    position: absolute;
    left: 0;
    top: 0;
}

#jamescontentspanel ul {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13pt;
    color: #808080;
    font-weight: bold;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#jamescontentspanel ul li {
    line-height: 2em;
    margin: 0;
}

#jamescontentspanel .separator {
    width: 50%;
    line-height: 0;
    margin: 20px auto 20px auto;
    border-color: #888888;
    border-top-width: 2px;
    border-top-style: outset;
}

#jamescontent {
    margin: 0 0 0 200px;
}

/* Front page */
.coverpage .quote {
    padding: 80px 0 80px 0;
}

.credentialbanner {
    padding: 80px 0 0 0;
}

.credentialbanner ~ .credentialbanner {
    padding: 0;
}

.logobanner img,
.credentialbanner img {
    padding: 10px 30px 10px 30px;
    vertical-align: middle;
}

.credentialbanner img {
    width: auto;
    height: 90px;
}

/* Guestbook page */
.guestbook th {
    vertical-align: bottom;
}

.guestbook td {
    font-weight: normal;
}

.guestbook .leadout {
    text-align: right;
}

/* Database Editor page */
.dbeditor table table thead th {
    background-color: #eeeeee;
}

.dbeditor table table td.first {
    text-align: left;
}

/* Focus page */
ul.notice {
    text-align: left;
    width: 65%;
    margin: 0 auto 0 auto;
    list-style-type: circle;
}

ul.inactive {
    color: #c0c0c0;
    list-style-type: disc;
}

/* Contact Page */
.contacttype {
    float: left;
    margin: 0;
    padding-bottom: 15px;
    width: 250px;
}

.contactinfo {
    margin-left: 300px;
    display: block;
}

#contactform {
    clear: left;
    padding-top: 30px;
}

.contact {
    padding-left: 125px;
    clear: left;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    color: #808080;
    font-weight: bold;
}

#contactform #botchallengeandsend {
    background-image: linear-gradient(to right, #f0f0f0, white 500px, white);
    border-radius: 10px;
    margin: 20px 20px 20px 285px;
    padding: 15px;
}

/* Tools Page */
#toolsform h5 {
    margin-left: 40px;
}

.toolfield {
    text-align: right;
    width: 700px;
    margin-left: 20px;
    margin-right: auto;
}

.toolfield textarea {
    margin-left: 60px;
    vertical-align: middle;
}

/* Portfolio and Credentials pages */
.credentialexhibits,
.portfoliosites {
    margin: 0 40px 0 40px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    color: #808080;
    font-weight: bold;
}

.credentialexhibits dd img.thumbnail,
.credentialexhibits dd a.thumbnail,
.portfoliosites dd img.thumbnail,
.portfoliosites dd a.thumbnail {
    float: right;
    margin: 0 0 5px 10px;
}

.credentialexhibits dd .thumbnail img {
    width: auto;
    height: 150px;
}

.credentialexhibits dt,
.portfoliosites dt {
    margin-top: 15px;
    clear: right;
}

.credentialexhibits dd,
.portfoliosites dd {
    margin-top: 15px;
    font-size: 0.9em;
}

/* Resume page */
#jamesresume {
    margin: 0 5% 0 5%;
}

.resumetext {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 11pt;
    font-weight: bold;
    color: #888888;
}

.resumetext strong,
.resumetext abbr {
    color: #303030;
}

.resumetext abbr {
    border-bottom: 1px dotted;
}

.resumesection {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 12pt;
    font-weight: bold;
    color: #505050;
}

div.resumesection {
    display: flex;
    justify-content: space-between;
    padding-left: 6pt;
    margin-left: 6pt;
    border-left: 4pt dotted blue;       
}

div.resumesection .supplemental:first-child {
    order: 1;
}

div.resumesection .subject {
    align-self: center; 
    text-align: left;
}

div.resumesection .supplemental {
    text-align: right;
    font-size: 11pt;
}

.resumesubsection {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 11pt;
    color: #505050;
}
